.card {
	max-width: 1200px;
	width: 80%;
	padding: 15px;
	border-radius: 15px;
	border: 1px solid black;
	background-color: wheat;

	display: grid;
	grid-template-columns: repeat(8, 1fr);
	grid-template-rows: auto 1fr auto;
	gap: 15px 10px;
	grid-template-areas:
		'title title title title title  rating rating rating'
		'image image description description description description description description'
		'image image actions actions actions actions actions actions';
}

.card__title {
	grid-area: title;
	font-size: 24px;
}

.card__rating {
	grid-area: rating;
	text-align: right;
	font-size: 20px;
}

.card__image {
	grid-area: image;
	width: 100%;
	height: 100%;
}

.card__description {
	grid-area: description;
}

.card__actions {
	grid-area: actions;
	display: flex;
	gap: 10px;
}

.card__actions button {
	flex: 1;
	padding: 8px 15px;
	background-color: #ffd700;
	border: 1px solid black;
	transition: 0.3s;
}

.card__actions button:hover {
	background-color: #6b5c0c;
}

/* Media */

@media (max-width: 900.98px) {
	.card {
		grid-template-columns: repeat(8, 1fr);
		grid-template-rows: auto 1fr auto auto;
		grid-template-areas:
			'image image title title title  title title title'
			'image image rating rating rating  rating rating rating'
			'description description description description description description description description'
			'actions actions actions actions actions actions actions actions';
	}

	.card__title {
		text-align: right;
	}
}

@media (max-width: 600.98px) {
	.card {
		grid-template-columns: repeat(8, 1fr);
		grid-template-rows: auto 1fr auto auto;
		grid-template-areas:
			'title title title title title  title title title'
			'rating rating rating rating rating  rating rating rating'
			'description description description description description description description description'
			'image image actions actions actions actions actions actions'
			'image image actions actions actions actions actions actions';
	}

	.card__title {
		text-align: center;
	}

	.card__rating {
		text-align: center;
	}

	.card__actions {
		flex-direction: column;
	}
}



@media (max-width: 500.98px) {
	.card {
		grid-template-columns: 1fr;
		grid-template-rows: auto;
		grid-template-areas:
			'title'
			'rating'
			'description'
			'image'
			'actions';
	}

	.card__title {
		text-align: center;
	}

	.card__rating {
		text-align: center;
	}

	.card__actions {
		flex-direction: column;
	}
}